@echo off
set RETURNCODE=0
set REG_KEY=HKLM\SOFTWARE
set REG_PATH=NEC\ESMAlertMan\ReportTable\EventLog\System\ESMCommonService
set MSG_STRING="yُzȏ㉷xƉ^pɎx܂B󒲂삵Ă邩mFAێɘAĂB"
set LOGFILE=nul


rem ------ Check 32bit or 64bit ------
IF "%PROCESSOR_ARCHITECTURE%"=="AMD64" (set REG_KEY=HKLM\SOFTWARE\WOW6432Node) ELSE (set REG_KEY=HKLM\SOFTWARE)


echo Update Start


:update_reg_s
rem ------ Update registry ------
echo Update registry...

REM --- C0000066 ---
reg QUERY %REG_KEY%\%REG_PATH%\C0000066\EventSetting /v Action > NUL
if ERRORLEVEL 1 (
	set RETURNCODE=1
	echo C0000066 not exist
) else (
	echo update C0000066 setting
	reg add %REG_KEY%\%REG_PATH%\C0000066\EventSetting /v Action /t REG_DWORD /d 0 /f
	if ERRORLEVEL 1 (
		set RETURNCODE=2
	)
	reg add %REG_KEY%\%REG_PATH%\C0000066\EventSetting /v RecoveryAction /t REG_SZ /d %MSG_STRING% /f
)

REM --- C0000070 ---
reg QUERY %REG_KEY%\%REG_PATH%\C0000070\EventSetting /v Action > NUL
if ERRORLEVEL 1 (
	set RETURNCODE=1
	echo C0000070 not exist
) else (
	echo update C0000070 setting
	reg add %REG_KEY%\%REG_PATH%\C0000070\EventSetting /v Action /t REG_DWORD /d 0 /f
	if ERRORLEVEL 1 (
		if %RETURNCODE%==0 (
			set RETURNCODE=3
		) else (
			set RETURNCODE=4
		)
	)
	reg add %REG_KEY%\%REG_PATH%\C0000070\EventSetting /v RecoveryAction /t REG_SZ /d %MSG_STRING% /f
)



:end
rem ====== Finish ======
IF %RETURNCODE%==0 (
    echo Update End
) ELSE (
    echo error code : %RETURNCODE%
)
if not "%1"=="/s" pause
exit /b %RETURNCODE%

